Package twisted :: Package protocols :: Module htb :: Class ShapedConsumer

[show private | hide private]
[frames | no frames]

## Class ShapedConsumer

    BasicProducerConsumerProxy --+
                                 |
             ProducerConsumerProxy --+
                                     |
                                    ShapedConsumer

Known Subclasses:
  `ShapedTransport`

I wrap a Consumer and shape the rate at which it receives data.

Method Summary
| `__init__(self, consumer, bucket)`
| `__repr__(self)` (inherited from `BasicProducerConsumerProxy`)
| `finish(self)` (inherited from `BasicProducerConsumerProxy`)
| `pauseProducing(self)` (inherited from `ProducerConsumerProxy`)
| `registerProducer(self, producer, streaming)` (inherited from `ProducerConsumerProxy`)
| `resumeProducing(self)` (inherited from `ProducerConsumerProxy`)
| `stopProducing(self)`
| `unregisterProducer(self)` (inherited from `ProducerConsumerProxy`)
| `write(self, data)` (inherited from `ProducerConsumerProxy`)
| ``_writeSomeData`(self, data)` Write as much of this data as possible.

Class Variable Summary
`int` | `iAmStreaming`

Method Details

### _writeSomeData(self, data)

Write as much of this data as possible.

  Returns:
    The number of bytes written.
  Overrides:
    `twisted.protocols.pcp.ProducerConsumerProxy._writeSomeData` (inherited documentation)

Class Variable Details

### iAmStreaming

  Type:
    `int`
  Value:

        0

Generated by Epydoc 1.1 on Thu May 8 13:18:46 2003 | http://epydoc.sf.net